co.aikar.commands

## Class VelocityCommandIssuer

- java.lang.Object
- - co.aikar.commands.VelocityCommandIssuer

All Implemented Interfaces:
  co.aikar.commands.CommandIssuer

    public class VelocityCommandIssuer
    extends Object
    implements co.aikar.commands.CommandIssuer

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`com.velocitypowered.api.command.CommandSource` `getIssuer()`
`co.aikar.commands.CommandManager` `getManager()`
`com.velocitypowered.api.proxy.Player` `getPlayer()`
`@NotNull UUID` `getUniqueId()`
`int` `hashCode()`
`boolean` `hasPermission(String name)`
`boolean` `isPlayer()`
`void` `sendMessageInternal(String message)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.CommandIssuer

`sendError, sendError, sendInfo, sendInfo, sendMessage, sendMessage, sendMessage, sendSyntax, sendSyntax`

### Method Detail

#### getIssuer

    public com.velocitypowered.api.command.CommandSource getIssuer()

Specified by:
  `getIssuer` in interface `co.aikar.commands.CommandIssuer`

#### getPlayer

    public com.velocitypowered.api.proxy.Player getPlayer()

#### getManager

    public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.CommandIssuer`

#### isPlayer

    public boolean isPlayer()

Specified by:
  `isPlayer` in interface `co.aikar.commands.CommandIssuer`

#### getUniqueId

    @NotNull
    public @NotNull UUID getUniqueId()

Specified by:
  `getUniqueId` in interface `co.aikar.commands.CommandIssuer`

#### sendMessageInternal

    public void sendMessageInternal(String message)

Specified by:
  `sendMessageInternal` in interface `co.aikar.commands.CommandIssuer`

#### hasPermission

    public boolean hasPermission(String name)

Specified by:
  `hasPermission` in interface `co.aikar.commands.CommandIssuer`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`